-
- Translation help networkKudoZOther terminology resourcesLearn more: About terminology at ProZ.com
-
-
GET: /codes/languageGet information about language codes used at ProZ.com. ProZ.com API endpoints accept and return many (but not all) language codes respresented in the ISO 639-3 standard. Internally, ProZ.com language codes are based on an earlier version of the ISO 639-2 standard. Additional non-standard codes have been added over the years as new languages were needed which didn't yet have ISO codes. These codes now have some non-standard overlap with newer versions of the ISO standards. Most non-standard language codes begin with a "." character. ProZ.com API endpoints will first match ISO 639-3 codes, and then fallback to the [deprecated] custom codes if there was no match. All ProZ.com API clients must pass ISO 639-3 codes. Backwards-compatibility with custom ProZ.com codes is provided only as a fail-safe, and support for the custom codes may be removed in the future. Parameters
Example requestcurl -H "Authorization: Bearer {OAUTH2_ACCESS_TOKEN}" /codes/language?codes=eng,fra,spa
Response{
"languages": [
{
"language_code": "eng",
"language_name": "English"
},
{
"language_code": "fra",
"language_name": "French"
},
{
"language_code": "spa",
"language_name": "Spanish"
}
]
}
|